ScanopyScanopy
Users

Get user by ID

GET
/api/v1/users/{id}
session_id<token>

Browser session cookie. Obtained via /api/auth/login.

In: cookie

Path Parameters

id*string

User ID

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "meta": {
    "api_version": 1,
    "server_version": "0.14.10"
  },
  "success": true,
  "data": {
    "email": "string",
    "network_ids": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
    "permissions": "Owner",
    "email_verified": true,
    "has_password": true,
    "oidc_linked_at": "2019-08-24T14:15:22Z",
    "oidc_provider": "string",
    "terms_accepted_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "error": "string"
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.14.10"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.14.10"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}